#!/bin/sh
#
start () {

var=`glxinfo | grep rendering`
if [ "$var" = "direct rendering: Yes" ]
then
	exec xcompmgr -f -c -I 0.1 -O 0.1 &> /dev/null
else
	echo "Fluxbox startup error: Cannot start xcompmgr. Direct rendering not enabled." >> $HOME/.xsession-errors
fi

}

check () {
pid=`pgrep xcompmgr`

if [ -z "$pid" ]
then
	echo "xcomp not running. Starting"
	start
else
	echo "xcomp running. Killing"
	killall xcompmgr
fi

}

check
